Bug 495067 - pfunct -l --function --- segmentation fault
pfunct -l --function --- segmentation fault
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dwarves (Show other bugs)
10
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Arnaldo Carvalho de Melo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 11:23 EDT by Rakesh Pandit
Modified: 2009-04-13 15:47 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.7-3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2009-04-09 11:23:19 EDT
Description of problem:
pfunct -l --function=_ZN3gnu9classpath5tools7keytool4Main8LIST_CMDE  ./gcc-debuginfo-4.1.2-44.el5.i386/usr/lib/debug/usr/lib/libgcj-tools.so.7rh.0.0.debug

Gave a segmentation fault:
die__process_unit: DW_TAG_class_type @ <0x2964d> not handled!
die__process_unit: DW_TAG_class_type @ <0x2964f> not handled!
die__process_unit: DW_TAG_class_type @ <0x29651> not handled!
die__process_unit: DW_TAG_class_type @ <0x29653> not handled!
die__process_unit: DW_TAG_class_type @ <0x29655> not handled!
die__process_unit: DW_TAG_class_type @ <0x29657> not handled!
die__process_unit: DW_TAG_class_type @ <0x29659> not handled!
die__process_unit: DW_TAG_class_type @ <0x2965b> not handled!
function__name: 0x35 id not found for subprogram (id=0x126)
Segmentation fault

Debuginfo rpm is EL5 based gcc debuginfo package: /home/rakesh/gcj/debug/gcc-debuginfo-4.1.2-44.el5.i386.rpm

I was checking for signature of symbol name _ZN3gnu9classpath5tools7keytool4Main8LIST_CMDE 

Dwarves package:  dwarves-1.6-1.x86_64

Version-Release number of selected component (if applicable):


How reproducible:
With above command

Steps to Reproduce:
1. Extract above gcc-debuginfo files
2. Run this symbol which I got from libgcj-tools.so on the corresponding ELF file non-stripped one from debuginfo
3.
  
Actual results:
Segmentation fault

Expected results:
Signature

Additional info:
I had a look at code base a bit. I guess at 'static struct tag *__die__process_tag' switch (dwarf_tag(die)) does not handle class_type. I don't this would be of any help.

If more info is needed, feel free to ping.

Thanks,
Comment 1 Arnaldo Carvalho de Melo 2009-04-09 11:30:53 EDT
Hi, can you please try using the dwarves package in f11-beta/rawhide? It probably fixes this bug, if it does, I'll release an update for f10/f9
Comment 2 Rakesh Pandit 2009-04-10 02:04:03 EDT
Rawhide this one seems to work -- may you push an update?

Thanks!
Comment 3 Fedora Update System 2009-04-10 10:08:15 EDT
dwarves-1.7-3.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/dwarves-1.7-3.1
Comment 4 Fedora Update System 2009-04-13 15:47:21 EDT
dwarves-1.7-3.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.